Create voice agent WhatsApp config assignment
curl --request POST \
--url https://app.kapso.ai/api/v1/voice_agents/{voice_agent_id}/voice_agent_whatsapp_configs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"voice_agent_whatsapp_config": {
"whatsapp_config_id": "config-123abc",
"is_primary": true,
"enabled": true
}
}
'import requests
url = "https://app.kapso.ai/api/v1/voice_agents/{voice_agent_id}/voice_agent_whatsapp_configs"
payload = { "voice_agent_whatsapp_config": {
"whatsapp_config_id": "config-123abc",
"is_primary": True,
"enabled": True
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
voice_agent_whatsapp_config: {whatsapp_config_id: 'config-123abc', is_primary: true, enabled: true}
})
};
fetch('https://app.kapso.ai/api/v1/voice_agents/{voice_agent_id}/voice_agent_whatsapp_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "vawc-123abc",
"voice_agent_id": "voice-agent-456def",
"is_primary": true,
"enabled": true,
"whatsapp_config": {
"id": "config-123abc",
"name": "Client WhatsApp",
"display_name": "Client WhatsApp (+1234567890)",
"phone_number_id": "1234567890",
"business_account_id": "98765432109",
"webhook_verify_token": "<string>",
"webhook_destination_url": "<string>",
"customer_id": "customer-456def",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"errors": {
"base": [
"Primary assignment already exists for this number"
]
}
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}Voice Agent WhatsApp Configs
Create voice agent WhatsApp config assignment
Assigns a WhatsApp configuration to a voice agent
POST
/
voice_agents
/
{voice_agent_id}
/
voice_agent_whatsapp_configs
Create voice agent WhatsApp config assignment
Authorizations
API key required for all endpoints
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Voice agent WhatsApp config assignment created successfully
Show child attributes
Show child attributes
⌘I

